/*	debug.cpp
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

//#include <avr\io.h>
#include "abc.h"
#include "debug.h"
#include "comm.h"

/* REVIEW: #ifdef DEBUG... (here, #def Assert, TxSz, other Tx?) */

#ifdef TOO_MUCH_DATA_SPACE_USED
void AssertProc(char *pszMsg, char *pszFile, int line)
{
	COMM comm;	// REVIEW: make sure continues to be OK to create COMM inst here!

	comm.TxSz("Assert failed: ");
	comm.TxSz(pszFile);
	comm.TxSz(" line ");
	comm.TxNum(line);
	comm.TxSz(": ");
	comm.TxSz(pszMsg);
	comm.TxCRLF();
}
#else
void AssertProc(char *pszFile, int line)
{
	COMM comm;	// REVIEW: make sure continues to be OK to create COMM inst here!

	comm.TxSz("Assert failed: ");
	comm.TxSz(pszFile);
	comm.TxSz(" line ");
	comm.TxNum(line);
	comm.TxCRLF();
}
#endif
