/*	eeprom.h
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

/* NOTE: this will tend to be very app-dependent */

#ifndef EEPROM_H
#define EEPROM_H

enum	// EEPROM address [e is prefix, like p]
{
	elsvBlackFarLeft = 0,	// Light Sensor Value
	elsvBlackLeft,
	elsvBlackCenter,
	elsvBlackRight,
	elsvBlackFarRight,

	elsvWhiteFarLeft,
	elsvWhiteLeft,
	elsvWhiteCenter,
	elsvWhiteRight,
	elsvWhiteFarRight,

	ecblMaze,	// count of bytes for storing maze (low byte of ushort)
	ecbhMaze,	// count of bytes for storing maze (high byte of ushort)
	ebMaze,		// start of maze info
};

class EEPROM
{
public:
	void Write(ushort e, uchar b) const;
	uchar Read(ushort e) const;
//private:
};

#endif // EEPROM_H
