/*	do.h -- Digital Outputs (LED, buzzer, etc)
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#ifndef DO_H
#define DO_H

#include "iop.h"

/* NOTE: ENUM/LIST #defines are in iop.h */
enum	// Digital Output Ports
{
	DOP_ENUM
};

class DO
{
public:
	DO();

	void On(uchar dop) const;
	void Off(uchar dop) const;
	void Blink(uchar dop, uchar c) const;

private:
	void Init() const;

	static char m_fInit;
	static const IOP m_mpdopiop[dopMax];
};

#endif // DO_H
