/*	heap.cpp
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#include "abc.h"

/* marker for end of BSS; this is where we have "heap" memory;
   note that:
   - g_bHeap must be uninitialized (otherwise is ends up in .data, not .bss)
   - heap.cpp must be the last file listed for compile in the makefile
     (so it ends up last in .bss)
 */
uchar g_bHeap;
